Subject: RE: wg last call on ldp-based vpls solutions

From: John Drake <[email-masked]>
Date: Mon, 26 Apr 2004 13:18:50 -0700

Vach,

I don't know whether you intended to, but I think you made my case for me.

Thanks,

John

> -----Original Message-----
> From: Vach Kompella [mailto:[email-masked]]
> Sent: Monday, April 26, 2004 11:30 AM
> To: John Drake; [email-masked]; 'Yakov Rekhter'; 'Marc
> Lasserre'
> Cc: [email-masked]; 'Loa Andersson'; 'Thomas Narten'; 'Alex Zinin';
> [email-masked]
> Subject: RE: wg last call on ldp-based vpls solutions
> 
> John,
> 
> I think I know the difference between the two (given the issue with
> discovery, "known but not addressed in the VPLS LDP draft because of
> alternate solutions", and tagged as such in the draft).
> 
> Here is a line from section 7.2.2 in the version that was being
> critiqued:
> 
>     Further descriptions of how to deal with failures
>     expeditiously with different configurations will be
>     described in other documents, such as [VPLS-BRIDGING].
> 
> The reason we don't want to talk about this issue is not because we
> cannot come up with a solution.  Rather, there are issues which Norm
> Finn brought up (in a now expired draft) about how to manage failover.
> It is not simply a matter of switching to the standby PE.  The issue is
> how to prevent flooding until the right time, interactions between
> failover and customer spanning tree, etc.
> 
> That is why I determine that this is not a "known but unaddressed issue"
> and that it better falls into the "unexplored and indeterminate"
> category.  I haven't seen a good description of those issues.  Perhaps
> there is one.  In its place, I have a draft that explores the issues
> with just jumping in with a failover solution which Norm should probably
> revive so we can craft an appropriate solution.  I think that warrants
> coming up with more than a solution that addresses a simple PE switch.
> 
> -Vach
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On
> > Behalf Of John Drake
> > Sent: Monday, April 26, 2004 10:32 AM
> > To: [email-masked]; 'Yakov Rekhter'; 'Marc Lasserre'
> > Cc: [email-masked]; 'Loa Andersson'; 'Thomas Narten'; 'Alex
> > Zinin'; [email-masked]
> > Subject: RE: wg last call on ldp-based vpls solutions
> >
> >
> >
> >
> > > -----Original Message-----
> > > From: Vach Kompella [mailto:[email-masked]]
> > > Sent: Tuesday, April 20, 2004 8:46 AM
> > > To: 'Yakov Rekhter'; 'Marc Lasserre'
> > > Cc: [email-masked]; 'Loa Andersson'; 'Thomas Narten'; 'Alex Zinin';
> > > [email-masked]; [email-masked]
> > > Subject: RE: wg last call on ldp-based vpls solutions
> > >
> > > I don't think that's a meaningful request.  Will you also list the
> > > missing pieces of every draft you submit, or do you admit
> > that there
> > > are things that we think of after the fact, improvements that come
> > > with experience and reflection?
> > [John Drake]
> >
> > You're equating two different things.  I.e., the things that
> > you know you are not addressing, and things that haven't been
> > thought of yet.  It is certainly possible, and is standard
> > practice, to list the former.
> >
> > >
> > > -Vach
> > >
> > > > -----Original Message-----
> > > > From: Yakov Rekhter [mailto:[email-masked]]
> > > > Sent: Tuesday, April 20, 2004 2:54 AM
> > > > To: Marc Lasserre
> > > > Cc: [email-masked]; Loa Andersson; Thomas Narten; Alex Zinin;
> > > > [email-masked]; [email-masked]
> > > > Subject: Re: wg last call on ldp-based vpls solutions
> > > >
> > > >
> > > > Marc,
> > > >
> > > > > Yakov,
> > > > >
> > > > > The VPLS-LDP draft specifies the use of a single active
> > > > full mesh at a
> > > > > time. For instance, in your example, only the northern path
> > > > would be
> > > > > active, with a corresponding full mesh of all PE1s or
> > > > > PE1a-PE2b-PE2c-PE1d.
> > > > >
> > > > > A future draft could specify how redundant inter-domain
> > > > connectivity
> > > > > is achieved (election of border PE, and protocol between PEs
> > > > > within one domain to indicate loss of connectivity).
> > > >
> > > > Please list the missing pieces in the current draft.
> > > >
> > > > Yakov.
> > > >
> > > > >
> > > > > Marc
> > > > >
> > > > > PS: I am travelling and have limited access to email
> > for the next
> > > > > 8 days.
> > > > >
> > > > > ----- Original Message -----
> > > > > From: "Yakov Rekhter" <[email-masked]>
> > > > > To: <[email-masked]>
> > > > > Cc: "Loa Andersson" <[email-masked]>; "Thomas Narten"
> > > > <[email-masked]>; "Alex
> > > > > Zinin" <[email-masked]>; <[email-masked]>;
> > > > > <[email-masked]>
> > > > > Sent: April 16, 2004 16:47
> > > > > Subject: Re: wg last call on ldp-based vpls solutions
> > > > >
> > > > >
> > > > > > Folks,
> > > > > >
> > > > > > From the spec (Section 10.3):
> > > > > >
> > > > > >    When more than two domains need to be connected, a
> > full mesh of
> > > > > >    inter-domain spokes is created between border PEs.
> > > > > >
> > > > > > Consider the following example (it shows only the border PEs):
> > > > > >
> > > > > >
> > > > > >    Domain A         Domain B       Domain C        Domain D
> > > > > >
> > > > > >         A-PE1---B-PE1    B-PE2---C-PE1    C-PE2---D-PE1
> > > > > >
> > > > > >         A-PE2---B-PE3    B-PE4---C-PE3    C-PE4---D-PE2
> > > > > >
> > > > > > What are the inter-domain spokes that would be
> > required in this
> > > > > > example ?
> > > > > >
> > > > > > Yakov.
> > > > > >
> > > > > >
> > > > >
> > > >
> >
> >